ghc-7.8.4: The GHC API

Safe Haskell | None
Language | Haskell98

RegAlloc.Linear.Stats

Synopsis

- binSpillReasons :: [SpillReason] -> UniqFM [Int]
- countRegRegMovesNat :: Instruction instr => NatCmmDecl statics instr -> Int
- pprStats :: Instruction instr => [NatCmmDecl statics instr] -> [RegAllocStats] -> SDoc

# Documentation

binSpillReasons :: [SpillReason] -> UniqFM [Int]

Build a map of how many times each reg was alloced, clobbered, loaded etc.

countRegRegMovesNat :: Instruction instr => NatCmmDecl statics instr -> Int

Count reg-reg moves remaining in this code.

pprStats :: Instruction instr => [NatCmmDecl statics instr] -> [RegAllocStats] -> SDoc

Pretty print some RegAllocStats